# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-07-05 13:47
from __future__ import unicode_literals

import IGitt.Interfaces.Comment
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import igitt_django.fields


class Migration(migrations.Migration):

    dependencies = [
        ('igitt_django', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='IGittComment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', django.contrib.postgres.fields.jsonb.JSONField()),
                ('iid', models.CharField(default=None, max_length=40)),
                ('number', models.IntegerField(default=0)),
                ('type', igitt_django.fields.EnumField(IGitt.Interfaces.Comment.CommentType)),
                ('repo', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comments', to='igitt_django.IGittRepository')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
